package com.rongwei.sfcommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwe.scentity.domian.AspSafetyDrillProgrammeDo;
import com.rongwei.rwcommon.base.R;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 安全应急-演练方案 服务类
 * </p>
 *
 * @author wm
 * @since 2023-11-13
 */
public interface AspSafetyDrillProgrammeService extends IService<AspSafetyDrillProgrammeDo> {

    /**
     * 发布演练方案（定时处理）
     *
     */
    void publish();

    /**
     * 消息发布
     *
     * @param id
     */
    void sendMsg(String id);

    /**
     * 前三天和当天提醒
     */
    void notify3Day();

    /**
     * 由于存在定时修改状态，需要提醒当天已演练和未演练
     */
    void notifyCurrentDay();

    void exportEmergencyDrillPlanWord(String startDate, String endDate, HttpServletResponse response) throws Exception;

    void exportAnnualDrillPlanWord(String id, HttpServletResponse response) throws Exception;

    void exportDrillProgramme(String id, HttpServletResponse response) throws Exception;

}
